Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000542KdenliveTransitionspublic2008-12-30 17:542010-02-20 08:17
Reporteraaribaud 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.7 
Summary0000542: Automatic transitions are broken when moving their 'owner' clip too far right
Description1. Create a new project (DV PAL); add two picture clips; put 1st clip on track 1 at 0 seconds, duration 5 seconds; put 2nd clip on track 0 at position 4 seconds, duration 5 seconds; click on clip#2's transition-creation arrow, to get a 1-second luma transition between the clips; save the file as xbug.kdenlive.

2. Load xbug.kdenlive; move clip 0000002 about 1 second to the left (so that it starts around second 3); the transition correctly grows to the left. Save that as xbug1.kdenlive.

3. Load xbug1.kdenlive; move clip 0000002 far to the right of clip #1: the transition does not move or resize. Save as xbug2.kdenlive.

4. Load xbug2.kdenlive: the transition has moved and resized (in my case it sits "in the air" between the clips) wrt when the file was saved. Also, the transition cannot be DELeted. Also, looking at xbug2.kdenlive, the "in" value of the transition is greater than its "out" value.
Additional InformationAttached is an archive with two JPG files (in ./Images) and the three xbug*.kdenlive files (in ./Vidéo, mind the accent) used to pinpoint the issue.

Also, in ./bin there is an AWK script I wrote to detect transitions with IN value grater than OUT value. The scripts prints the line number in the kdenlive file where the bad transition begins.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Filesbz2 file icon kdenlivexbug20081230.tar.bz2 [^] (54,195 bytes) 2008-12-30 17:54

- Relationships

-  Notes
(0002208)
madsdyd (administrator)
2009-01-25 22:16

Hi aaribaud

Svn commit 2869 contains code that addresses this issue.

Could you please try out recent svn, and see if the commit has fixed the issue? (And report back here, please :-)

Regards

Mads

- Issue History
Date Modified Username Field Change
2008-12-30 17:54 aaribaud New Issue
2008-12-30 17:54 aaribaud File Added: kdenlivexbug20081230.tar.bz2
2008-12-30 17:54 aaribaud Build/Install Method => Manual build from SVN
2009-01-25 22:16 madsdyd Note Added: 0002208
2009-01-25 22:16 madsdyd Status new => acknowledged
2010-01-19 11:46 j-b-m Status acknowledged => resolved
2010-01-19 11:46 j-b-m Resolution open => fixed
2010-01-19 11:46 j-b-m Assigned To => j-b-m
2010-02-02 10:34 j-b-m Fixed in Version => 0.7.7
2010-02-20 08:17 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker